Change ingestion status

This endpoint allows you to change the state of an ingestion session from 'open' to 'closed'. When a session is closed manually using this endpoint, any data undergoing processing will be processed. No new requests for processing data will be submitted.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ingestionIdstringRequiredformat: "^in_[0-9a-f]{32}$"
The generated Batch ID from an ingestion process.

Request

This endpoint expects an object.
statestringRequiredformat: "(?i)closed"
The current state of the ingestion session.

Response

OK
ingestionNamestring or null
The name of ingestion.
ingestionIdstring or nullformat: "^in_[0-9a-f]{32}$"
The Ingestion ID that has been created as part of the ingestion process.
namespacestring or null
The Entity namespace.
entitystring or null
The Entity name.
stateenum or null
The current state of the ingestion session.
Allowed values:
timeoutstring or null

Text representing a valid duration in the ISO-8601 format, for example PT15M.

openedBystring or null
The username of the user who created the ingestion session.
openedOnstring or nullformat: "date-time"
The date and time when the ingestion session was created.
closedBystring or null
The username of the user who closed the ingestion session. Present only if the state is 'closed'.
closedOnstring or nullformat: "date-time"
The actual close date and time of the ingestion. Present only if the state is 'closed'.
closeReasonenum or null
The close reason of an ingestion session.
Allowed values:
totalRowsinteger or null
The total number of records ingested into Fynapse.
successRowsinteger or null
The total number of records successfully ingested into Fynapse.
failedRowsinteger or null
The total number of records that failed to be ingested into Fynapse.
processingStatusenum or null
The current processing status of an ingestion session.
Allowed values:

Errors